using System;
using System.Collections.Generic;
using System.Text;

namespace vezerles
{
    class Program
    {
        static void Main(string[] args)
        {
            #region Loop

            int i;
            System.Console.WriteLine("Ciklusok szemlltetse - a parancssori argumentumok kirsa:");

            #region For-ciklus

            System.Console.Write("\tFor ciklussal: ");
            for (i = 0; i < args.Length; ++i)
                System.Console.Write(args[i] + (i < args.Length - 1 ? ", " : ""));
            System.Console.WriteLine();

            #endregion

            #region While ciklus

            System.Console.Write("\tWhile ciklussal: ");
            i = 0;
            while (i < args.Length)
            {
                System.Console.Write(args[i] + (i < args.Length - 1 ? ", " : ""));
                ++i;
            }
            System.Console.WriteLine();

            #endregion

            #region Do-while ciklus

            System.Console.Write("\tDo-while ciklussal: ");
            if (args.Length > 0)
            {
                i = 0;
                do
                {
                    System.Console.Write(args[i] + (i < args.Length - 1 ? ", " : ""));
                    ++i;
                } while (i < args.Length);
            }
            System.Console.WriteLine();

            #endregion

            #region Foreach ciklus

            System.Console.Write("\tForeach ciklussal: ");
            foreach(string arg in args)
                System.Console.Write(arg + ", ");
            System.Console.WriteLine();

            #endregion

            System.Console.WriteLine(System.Environment.NewLine + "Brmelyik ciklusbl ki lehet lpni a break utasts segtsgvel. Most lpjnk ki az els argumentum kirsa utn a for-ciklusbl:");

            #region Break

            System.Console.Write("\tBreak: ");
            for (i = 0; i < args.Length; ++i)
            {
                System.Console.Write(args[i]);
                break;
            }
            System.Console.WriteLine(System.Environment.NewLine + "\tMegj.: a fordt warningot kldtt arrl, hogy a for-ciklus inkrementl mvelete elrhetetlen!");

            #endregion

            System.Console.WriteLine(System.Environment.NewLine + "Minden ciklusmagban azonnal tadhatjuk a vezrlst az inkrementls/kirtkels -nek a continue utasts segtsgvel. Az elz ciklusnl pldul megakadlyozhatjuk, hogy a break utastsra sor kerljn:");

            #region Continue

            System.Console.Write("\tBreak: ");
            for (i = 0; i < args.Length; ++i)
            {
                System.Console.Write(args[i]);
                continue;
                break;
            }
            System.Console.WriteLine(System.Environment.NewLine + "\tMegj.: a fordt warningot kldtt arrl, hogy a for-ciklus break mvelete elrhetetlen!");

            #endregion

            #endregion

            #region If

            System.Console.WriteLine(System.Environment.NewLine+"Elgazsok szemlltetse - ha nincs parancssori argumentum, akkor rjuk ki, hogy \"nincs\", ha van, akkor az elst rjuk ki gy, hogy az els karaktere dntse el, hogy csupa kis-, vagy csupa nagy betbl lljon:");

            #region If-else if-else

            System.Console.Write("\tIf-else if-else elgazssal: ");
            if (args.Length == 0)
                System.Console.WriteLine("nincs");
            else if (char.IsLower(args[0][0]))
                System.Console.WriteLine(args[0].ToLower());
            else
                System.Console.WriteLine(args[0].ToUpper());

            #endregion

            #region Switch

            System.Console.Write("\tSwitch elgazssal: ");
            switch (args.Length)
            {
                case 0:
                    System.Console.WriteLine("nincs");
                    break;
                default:
                    switch (char.IsLower(args[0][0]))
                    {
                        case true:
                            System.Console.WriteLine(args[0].ToLower());
                            break;
                        case false:
                            System.Console.WriteLine(args[0].ToUpper());
                            break;
                        default:
                            System.Console.WriteLine("az rdg sohasem alszik...");
                            break;
                    }
                    break;
            }

            #endregion

            #region Triaris

            System.Console.Write("\tTriris opertorral: ");
            System.Console.WriteLine(args.Length == 0 ? "nincs" : char.IsLower(args[0][0]) ? args[0].ToLower() : args[0].ToUpper());

            #endregion

            System.Console.WriteLine(System.Environment.NewLine+"Vgl egy kis finomsg, a parancssori argumentumok kirsa switch elgazs ltal szimullt ciklussal:");

            #region Switch ciklus

            System.Console.Write("\tSwitch ciklus: ");
            i=0;
            switch (args.Length-i)
            {
                case 0:
                    break;
                default:
                    System.Console.Write(args[i] + (i < args.Length - 1 ? ", " : ""));
                    ++i;
                    if (i < args.Length)
                        goto default;
                    else
                        goto case 0;
            }
            System.Console.WriteLine();

            #endregion

            #endregion

            System.Console.ReadKey(true);
        }
    }
}
